package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value= "app_user_game_record_count")
@ApiModel(value = "app_user_game_record_count", description = "app用户游戏佣金统计")
public class AppUserGameRecordCount {

    /** $column.columnComment */
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    @Excel(name = "游戏ID")
    @TableField(value = "game_id")
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    @Excel(name = "游戏期号")
    @TableField(value = "game_date")
    @ApiModelProperty(value = "游戏期号")
    private String gameDate;

    @Excel(name = "用户ID")
    @TableField(value = "user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @Excel(name = "上级")
    @TableField(value = "pid")
    @ApiModelProperty(value = "上级")
    private Long pid;

    @Excel(name = "分类：0 游戏 1 直播")
    @TableField(value = "type")
    @ApiModelProperty(value = "分类：0 游戏 1 直播")
    private Integer type;

    @Excel(name = "佣金")
    @TableField(value = "commission")
    @ApiModelProperty(value = "佣金")
    private Double commission;

    @Excel(name = "游戏分佣费率")
    @TableField(value = "game_rate")
    @ApiModelProperty(value = "游戏分佣费率")
    private Double gameRate;

    @Excel(name = "创建时间")
    @TableField(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField(exist = false)
    private String gameName;

}
