package com.game.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 用户提现账号对象 app_users_cash_account
 *
 * @author game
 * @date 2024-09-07
 */
@ApiModel(value = "app_users_cash_account", description = "用户提现账号")
@TableName(value= "app_users_cash_account")
@Data
public class AppUsersCashAccount
        {
private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 账号 */
    @ApiModelProperty(value = "账号")
    @Excel(name = "账号")
    @TableField(value = "account")
    private String account;

    /** 银行名称 */
    @ApiModelProperty(value = "银行名称")
    @Excel(name = "银行名称")
    @TableField(value = "account_bank")
    private String accountBank;

    /** 添加时间 */
    @ApiModelProperty(value = "添加时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "添加时间" , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "addtime")
    private Date addtime;

    /** 支行 */
    @ApiModelProperty(value = "支行")
    @Excel(name = "支行")
    @TableField(value = "branch")
    private String branch;

    /** 是否默认 1:默认 0:非默认 */
    @ApiModelProperty(value = "是否默认 1:默认 0:非默认")
    @Excel(name = "是否默认 1:默认 0:非默认")
    @TableField(value = "is_default")
    private Long isDefault;

    /** 姓名 */
    @ApiModelProperty(value = "姓名")
    @Excel(name = "姓名")
    @TableField(value = "name")
    private String name;

    /** 账号类型 1:表示支付宝 2:表示微信 3:表示银行卡 */
    @ApiModelProperty(value = "账号类型 1:表示支付宝 2:表示微信 3:表示银行卡")
    @Excel(name = "账号类型 1:表示支付宝 2:表示微信 3:表示银行卡")
    @TableField(value = "type")
    private Long type;

    @ApiModelProperty(value = "渠道id")
    @Excel(name = "渠道id")
    @TableField(value = "channelId")
    private Long channelId;

    /** 用户ID */
    @ApiModelProperty(value = "用户ID")
    @Excel(name = "用户ID")
    @TableField(value = "uid")
    private Long uid;

}