package com.game.business.vo;

import com.game.business.domain.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class AppUserDetailVo implements Serializable {

    @ApiModelProperty(value = "上级用户列表")
    private List<AppUserAgent> superUserList;

    @ApiModelProperty(value = "下级级用户列表")
    private List<AppUserAgent> downUserList;

    private Double dividendGuaranteeRate;
    private Double liveRate;
    private Long userId;
    List<AppGameCommission> gameCommissionList;
    List<AppUser> ipUserList;
    List<AppUsersCashAccount> usersCashAccounts;
    List<ShopBusinessOrder> businessOrders;

    //游戏金币当日
    private Double todayCoinBetting;
    private Double todayCoinWin;
    private Double todayCoinLose;

    //游戏总投注
    private Double totalBetting;

    //游戏金币总投注
    private Double totalCoinBetting;

    //游戏余额当日
    private Double todayBetting;
    private Double todayWin;
    private Double todayLose;

    //游戏金币最近一周
    private Double weekCoinBetting;
    private Double weekCoinWin;
    private Double weekCoinLose;

    //游戏余额最近一周
    private Double weekBetting;
    private Double weekWin;
    private Double weekLose;

    //金币充值
    private Double todayCoinCharge;
    private Double weekCoinCharge;

    //充值
    private Double todayCharge;
    private Double weekCharge;
    private Double totalCharge;

    //提现
    private Double todayWithdraw;
    private Double weekWithdraw;
    private Double totalWithdraw;

    //礼物收益
    private Double totalGift; //近30天收益
    private Double todayGift; //今日礼物收益
    private Double weekGift; //当前周期礼物收益

}
