package com.game.business.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "游戏投注记录", description = "游戏投注记录")
public class AppUserGameBettingWebCountVO {

    @ApiModelProperty(value = "用户Id")
    private Long userId;

    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    @ApiModelProperty(value = "游戏名称")
    private String gameName;

    @ApiModelProperty(value = "当前期号")
    private String gameDate;

    @ApiModelProperty(value = "本期第一次投注时间")
    private Date bettingDate;

    @ApiModelProperty(value = "投注类型：0：余额 1：金币")
    private Integer bettingType;

    @ApiModelProperty(value = "投注游戏类型 0：单选 1：写死多选：2：自由多选")
    private Integer bettingGameType;

    @ApiModelProperty(value = "数量")
    private long bettingCount;

    @ApiModelProperty(value = "下单金额")
    private double orderAmount;

    @ApiModelProperty(value = "赢")
    private double winAmount;

    @ApiModelProperty(value = "输")
    private double loseAmount;

    @ApiModelProperty(value = "当前开奖项")
    private String gameLotterySucc;

    @ApiModelProperty(value = "是否开奖：0 否；1是")
    private Integer isLottery;

    @ApiModelProperty(value = "当前开奖时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gameRecordDate;

    @ApiModelProperty(value = "投注选项统计")
    List<AppUserGameBettingDetailsCountVO> detailsCountVOList;
}
